import 'dart:async';

import 'package:flutter/services.dart';

class HwPluginDemo {
  static const MethodChannel _channel = MethodChannel('hw_plugin_demo');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String?> get platformBatteryLevel async {
    final int version = await _channel.invokeMethod('getplatformBatteryLevel');
    return version.toString();
  }
}
